## owncloud 6.0.1+dfsg

=== Makefile ===

# This file should be configured before running `make'.
# Uncomment or change the values that are relevant for your OS.

# The preferred C compiler (by default use the OS-specific default value).
# For BSD/OS, FreeBSD, Linux (all flavors), NetBSD, OpenBSD the default
# compiler is GNU C. 
# (Note please the politically correct ordering by alphabet ! :-)
#
# Use GNU C even if it's not the default compiler
#
#CC=gcc
#
# Use the standard ANSI C compiler on HP-UX even if it's not default
#
#CC=c89

#
# The system-dependent flags for the C compiler
#
# Default

CFLAGS_SYS= -O

# For GNU C
#
#CFLAGS_SYS= -O2
#
# For GNU C with long options support library (Linux etc.)
#
#CFLAGS_SYS= -O2 -D_GNU_SOURCE
#
# For GNU C on HP-UX/PA-RISC 1.1
#
#CFLAGS_SYS= -O2 -Wa,-w
#
# For the standard ANSI C on HP-UX
#
#CFLAGS_SYS= +O2 -D_HPUX_SOURCE

#
# The system-dependent libraries
#
# Defalut (for the BSD-style OSes)

LIBS_SYS= -lm

# For SystemV (such as SCO, UnixWare, Solaris, but _NOT_ Linux or HP-UX)
#
#LIBS_SYS= -lm -lsocket

#
# The flags for C compiler for the FreeType-2 library (disabled by default). 
# This WON'T BUILD with FT2-beta8, use the FreeType release 2.0.4
# http://download.sourceforge.net/freetype/freetype-2.0.4.tar.gz

CFLAGS_FT= 

# To enable use of the FreeType-2 library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment LIBS_FT
#
#CFLAGS_FT = -DUSE_FREETYPE -I/usr/local/include/freetype2 -I/usr/local/include

# 
# The FreeType-2 library flags (disabled by default)

LIBS_FT=

# To enable use of the FreeType-2 library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment CFLAGS_FT
#
#LIBS_FT= -L/usr/local/lib -lfreetype

#
# The flags for C compiler for the Autotrace library (disabled by default). 
# USE OF THIS FEATURE IS STRONGLY DISCOURAGED, THE BUILT-IN TRACING
# (AKA VECTORIZATION) PROVIDES MUCH BETTER RESULTS.
# The tested version is 0.29a (and the fonts produced with it are
# absolutely not usable).
# http://download.sourceforge.net/autotrace/autotrace-0.29.tar.gz

CFLAGS_AT= 

# To enable use of the Autotrace library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment LIBS_AT
#
#CFLAGS_AT = -DUSE_AUTOTRACE -I/usr/local/include

# 
# The Autotrace library flags (disabled by default)

LIBS_AT=

# To enable use of the Autotrace library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment CFLAGS_AT
#
#LIBS_AT= -L/usr/local/lib -lautotrace

#
# Preference of front-ends if multiple parsers match a file
# (by default the build-in front-end takes preference over FreeType)

CFLAGS_PREF=

# To prefer FreeType (if enabled):
#
#CFLAGS_PREF= -DPREFER_FREETYPE

# Uncomment the second line to not compile t1asm into ttf2pt1
CFLAGS_EXTT1ASM=
#CFLAGS_EXTT1ASM= -DEXTERNAL_T1ASM

CFLAGS= $(CFLAGS_SYS) $(CFLAGS_FT) $(CFLAGS_AT) $(CFLAGS_PREF)
LIBS= $(LIBS_SYS) $(LIBS_FT) $(LIBS_AT)

# Installation-related stuff
# 
# The base dir for installation and subdirs in it
INSTDIR = /usr/local
# for binaries
BINDIR = $(INSTDIR)/bin
# for binaries of little general interest
LIBXDIR = $(INSTDIR)/libexec/ttf2pt1
# for scripts, maps/encodings etc.
SHAREDIR = $(INSTDIR)/share/ttf2pt1
MANDIR = $(INSTDIR)/man

# owner and group of installed files
OWNER = root
GROUP = bin

# After you have configured the Makefile, comment out the following
# definition:
#warning: docs
#	@echo >&2
#	@echo "  You have to configure the Makefile before running make!" >&2
#	@echo "(or if you are lazy and hope that it will work as is run \`make all')">&2
#	@echo >&2

DOCS=CHANGES README FONTS FONTS.hpux encodings/README other/README \
	app/X11/README app/netscape/README app/TeX/README

SUBDIRS = app encodings maps scripts other
TXTFILES = README* FONTS* CHANGES* COPYRIGHT

MANS1=ttf2pt1.1 ttf2pt1_convert.1 ttf2pt1_x2gs.1
MANS=$(MANS1) $(MANS5)

all:	t1asm ttf2pt1 docs mans rpm

docs: $(DOCS)

mans: $(MANS) 

clean:
	rm -f t1asm ttf2pt1 *.o app/RPM/Makefile app/RPM/*.spec *.core core.* core
	( cd other && make clean; )
	( cd app/netscape && make clean; )

veryclean: clean
	rm -f $(DOCS) $(MANS)

rpm: app/RPM/Makefile app/RPM/ttf2pt1.spec

ttf2pt1.1: README.html
	scripts/html2man . . <README.html

ttf2pt1_convert.1 ttf2pt1_x2gs.1: FONTS.html
	scripts/html2man . . <FONTS.html

app/RPM/Makefile: Makefile
	sed 's/^CFLAGS_SYS.*=.*$$/CFLAGS_SYS= -O2 -D_GNU_SOURCE/;/warning:/,/^$$/s/^/#/' <Makefile >app/RPM/Makefile

app/RPM/ttf2pt1.spec: app/RPM/ttf2pt1.spec.src version.h
	sed 's/^Version:.*/Version: '`grep TTF2PT1_VERSION version.h| cut -d\" -f2`'/' <app/RPM/ttf2pt1.spec.src  >$@

t1asm: t1asm.c
	$(CC) $(CFLAGS) -o t1asm -DSTANDALONE t1asm.c $(LIBS)

ttf2pt1.o: ttf2pt1.c ttf.h pt1.h global.h version.h
	$(CC) $(CFLAGS) -c ttf2pt1.c

pt1.o: pt1.c ttf.h pt1.h global.h
	$(CC) $(CFLAGS) -c pt1.c

ttf.o: ttf.c ttf.h pt1.h global.h
	$(CC) $(CFLAGS) -c ttf.c

ft.o: ft.c pt1.h global.h
	$(CC) $(CFLAGS) -c ft.c

bdf.o: bdf.c pt1.h global.h
	$(CC) $(CFLAGS) -c bdf.c

bitmap.o: bitmap.c pt1.h global.h
	$(CC) $(CFLAGS) -c bitmap.c

runt1asm.o: runt1asm.c global.h
	$(CC) $(CFLAGS) $(CFLAGS_EXTT1ASM) -c runt1asm.c

ttf2pt1:	ttf2pt1.o pt1.o runt1asm.o ttf.o ft.o bdf.o bitmap.o
	$(CC) $(CFLAGS) -o ttf2pt1 ttf2pt1.o pt1.o runt1asm.o ttf.o ft.o bdf.o bitmap.o $(LIBS)

CHANGES: CHANGES.html
	scripts/unhtml <CHANGES.html >CHANGES

README: README.html
	scripts/unhtml <README.html >README

encodings/README: encodings/README.html
	scripts/unhtml <encodings/README.html >encodings/README

other/README: other/README.html
	scripts/unhtml <other/README.html >other/README

app/X11/README: app/X11/README.html
	scripts/unhtml <app/X11/README.html >app/X11/README

app/netscape/README: app/netscape/README.html
	scripts/unhtml <app/netscape/README.html >app/netscape/README

app/TeX/README: app/TeX/README.html
	scripts/unhtml <app/TeX/README.html >app/TeX/README

FONTS: FONTS.html
	scripts/unhtml <FONTS.html >FONTS

FONTS.hpux: FONTS.hpux.html
	scripts/unhtml <FONTS.hpux.html >FONTS.hpux

install: all
	scripts/inst_dir $(BINDIR) $(OWNER) $(GROUP) 0755
	scripts/inst_dir $(LIBXDIR) $(OWNER) $(GROUP) 0755
	scripts/inst_dir $(SHAREDIR) $(OWNER) $(GROUP) 0755
	scripts/inst_dir $(MANDIR)/man1 $(OWNER) $(GROUP) 0755
	scripts/inst_dir $(MANDIR)/man5 $(OWNER) $(GROUP) 0755
	cp -R $(TXTFILES) $(SUBDIRS) $(SHAREDIR)
	chown -R $(OWNER) $(SHAREDIR)
	chgrp -R $(GROUP) $(SHAREDIR)
	chmod -R go-w $(SHAREDIR)
	scripts/inst_file ttf2pt1 $(BINDIR)/ttf2pt1 $(OWNER) $(GROUP) 0755
	[ -f $(BINDIR)/t1asm ] || scripts/inst_file t1asm $(LIBXDIR)/t1asm $(OWNER) $(GROUP) 0755
	sed 's|^TTF2PT1_BINDIR=$$|TTF2PT1_BINDIR=$(BINDIR)|;\
		s|^TTF2PT1_LIBXDIR=$$|TTF2PT1_LIBXDIR=$(LIBXDIR)|;\
		s|^TTF2PT1_SHAREDIR=$$|TTF2PT1_SHAREDIR=$(SHAREDIR)|;' <scripts/convert >cvt.tmp
	scripts/inst_file cvt.tmp $(BINDIR)/ttf2pt1_convert $(OWNER) $(GROUP) 0755
	scripts/inst_file cvt.tmp $(SHAREDIR)/scripts/convert $(OWNER) $(GROUP) 0755
	rm cvt.tmp
	scripts/inst_file scripts/x2gs $(BINDIR)/ttf2pt1_x2gs $(OWNER) $(GROUP) 0755
	for i in $(MANS1); do { \
		sed 's|TTF2PT1_BINDIR|$(BINDIR)|;\
			s|TTF2PT1_LIBXDIR|$(LIBXDIR)|;\
			s|TTF2PT1_SHAREDIR|$(SHAREDIR)|;' <$$i >$(MANDIR)/man1/$$i \
		&& chown $(OWNER) $(MANDIR)/man1/$$i \
		&& chgrp $(GROUP) $(MANDIR)/man1/$$i \
		&& chmod 0644 $(MANDIR)/man1/$$i \
		|| exit 1; \
	} done

uninstall:
	rm -f $(BINDIR)/ttf2pt1 $(BINDIR)/ttf2pt1_convert $(BINDIR)/ttf2pt1_x2gs
	rm -rf $(LIBXDIR)
	rm -rf $(SHAREDIR)
	for i in $(MANS1); do { \
		rm -f $(MANDIR)/man1/$$i $(MANDIR)/man1/$$i.gz; \
	} done
	

# targets for automatic generation of releases and snapshots

snapshot:
	scripts/mkrel snapshot

release:
	scripts/mkrel release

=== apps/contacts/tests/Makefile ===
# ownCloud - Contacts
#
# @author Thomas Tanghus
# @copyright 2013 Thomas Tanghus (thomas@tanghus.net)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
# License as published by the Free Software Foundation; either
# version 3 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU AFFERO GENERAL PUBLIC LICENSE for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with this library.  If not, see <http://www.gnu.org/licenses/>.

# This makefile is for general project specific stuff like packaging a new 
# release for the app store and running php unittests which require core

app_name=contacts
build_directory=build/
package_name=$(build_directory)$(app_name)

#all:
#	# compile the coffeescript
#	cd js; make


#clean:
#	rm -rf $(build_directory)


#dist: clean
#	mkdir -p $(build_directory)
#	git archive HEAD --format=zip --prefix=$(app_name)/ > $(package_name).zip


# tests
test: javascript-tests unit-tests integration-tests acceptance-tests

unit-tests:
	ls
	phpunit --version
	phpunit --verbose contacts

#tests/vobject.php


integration-tests:
	phpunit tests/integration


acceptance-tests:
	cd tests/acceptance; make headless


javascript-tests:
	cd js; make test

## owncloud 1.1+git20110209

=== debian/changelog ===
owncloud (1.1+git20110209-0ubuntu1.1) oneiric-proposed; urgency=low

  * Replace OwnCloud with placeholder page to remove the package.
    Requested by upstream and 4.0 can not be backported
   - LP: #1079150

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Nov 2012 11:50:13 +0000

owncloud (1.1+git20110209-0ubuntu1) natty; urgency=low

  * Initial Package
  * Remove unused and packaged PEAR modules in debian/rules
  * Add kubuntu_01_data_root.diff move config and files directories to /var
  * Add kubuntu_02_system_pear.diff include system PEAR modules to avoid
    duplicate code

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 16:27:50 +0000

=== debian/control ===
Source: owncloud
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3)
Standards-Version: 3.9.1
Section: web
Homepage: http://www.owncloud.org

Package: owncloud
Architecture: any
Depends: ${misc:Depends}
Description: removed package
 ownCloud is a personal file storage server using Webdav.
 .
 The ownCloud initiative is developed by KDE.
 .
 This package has been removed due to security issues.
 Newer packages are available from OwnCloud at
 http://owncloud.org/support/install/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_install:
	dh_install
	chown www-data.www-data debian/owncloud/var/lib/owncloud/data
	#chown www-data.www-data debian/owncloud/var/lib/owncloud/config
	chown www-data.www-data debian/owncloud/var/lib/owncloud/backup
	#chmod 755 debian/owncloud/var/lib/owncloud/config/
	#chmod 644 debian/owncloud/var/lib/owncloud/config/config.sample.php
	#remove unused files to keep lintian happy
	#rm -r debian/owncloud/usr/share/owncloud/plugins/textviewer/syntaxhighlighter/tests/
	#rm debian/owncloud/usr/share/owncloud/img/icons/COPYING
	#rm debian/owncloud/usr/share/owncloud/plugins/textviewer/syntaxhighlighter/LGPL-LICENSE
	#rm debian/owncloud/usr/share/owncloud/plugins/textviewer/syntaxhighlighter/MIT-LICENSE
	#rm -f debian/owncloud/var/lib/owncloud/config/.gitignore
	#rm debian/owncloud/usr/share/owncloud/inc/COPYING-PHP
	#rm debian/owncloud/usr/share/owncloud/inc/COPYING-README
	##remove PEAR modules, use packaged versions instead
	#rm -r debian/owncloud/usr/share/owncloud/inc/Archive/ #in php-pear
	#rm -r debian/owncloud/usr/share/owncloud/inc/Console/ #in php-pear
	#rm -r debian/owncloud/usr/share/owncloud/inc/docs/ #unnecessary
	#rm -r debian/owncloud/usr/share/owncloud/inc/Log/; rm debian/owncloud/usr/share/owncloud/inc/Log.php #unused
	#rm -r debian/owncloud/usr/share/owncloud/inc/Mail/; rm debian/owncloud/usr/share/owncloud/inc/Mail.php #unused
	##rm -r debian/owncloud/usr/share/owncloud/inc/MDB2/; rm debian/owncloud/usr/share/owncloud/inc/MDB2.php #in php-mdb2 but that does not work so use this copy
	#rm -r debian/owncloud/usr/share/owncloud/inc/Net/ #in php-pear
	#rm -r debian/owncloud/usr/share/owncloud/inc/packages/ #unnecessary
	#rm -r debian/owncloud/usr/share/owncloud/inc/PEAR/; rm debian/owncloud/usr/share/owncloud/inc/PEAR.php; rm debian/owncloud/usr/share/owncloud/inc/pearcmd.php #in php-pear
	#rm -r debian/owncloud/usr/share/owncloud/inc/PHPUnit/; rm debian/owncloud/usr/share/owncloud/inc/PHPUnit.php #in php-pear
	#rm -r debian/owncloud/usr/share/owncloud/inc/System.php #in php-pear
	#rm -r debian/owncloud/usr/share/owncloud/inc/XML #in php-xml-parser

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncommment to examine a FTP server
http://owncloud.org/releases/owncloud-(.*)\.tar\.bz2 debian uupdate

## owncloud 3.0.0

=== debian/changelog ===
owncloud (3.0.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Update kubuntu_01_data_root.diff
  * Disable kubuntu_02_system_pear.diff, most PEAR modules gone but should still
    be adapted

 -- Atul Jha <koolhead17@gmail.com>  Mon, 30 Jan 2012 20:11:22 +0000

=== debian/control ===
Source: owncloud
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3)
Standards-Version: 3.9.1
Section: web
Homepage: http://www.owncloud.org

Package: owncloud
Architecture: all
Depends: ${misc:Depends}, apache2, php5, php-pear, php-xml-parser,php5-gd, php5-mysql | php5-sqlite
Recommends: mysql-server | php5-sqlite
Description: personal file storage server
 ownCloud is a personal file storage server using Webdav.
 .
 The ownCloud initiative is developed by KDE.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 override_dh_install:
 	dh_install
 	chown www-data.www-data debian/owncloud/var/lib/owncloud/data
-	#chown www-data.www-data debian/owncloud/var/lib/owncloud/config
+	chown www-data.www-data debian/owncloud/var/lib/owncloud/config
 	chown www-data.www-data debian/owncloud/var/lib/owncloud/backup
-	#chmod 755 debian/owncloud/var/lib/owncloud/config/
-	#chmod 644 debian/owncloud/var/lib/owncloud/config/config.sample.php
+	chmod 755 debian/owncloud/var/lib/owncloud/config/
+	chmod 644 debian/owncloud/var/lib/owncloud/config/config.sample.php
 	#remove unused files to keep lintian happy
 	#rm -r debian/owncloud/usr/share/owncloud/plugins/textviewer/syntaxhighlighter/tests/
 	#rm debian/owncloud/usr/share/owncloud/img/icons/COPYING
@@ -19,13 +19,13 @@
 	#rm -f debian/owncloud/var/lib/owncloud/config/.gitignore
 	#rm debian/owncloud/usr/share/owncloud/inc/COPYING-PHP
 	#rm debian/owncloud/usr/share/owncloud/inc/COPYING-README
-	##remove PEAR modules, use packaged versions instead
+	#remove PEAR modules, use packaged versions instead
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Archive/ #in php-pear
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Console/ #in php-pear
 	#rm -r debian/owncloud/usr/share/owncloud/inc/docs/ #unnecessary
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Log/; rm debian/owncloud/usr/share/owncloud/inc/Log.php #unused
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Mail/; rm debian/owncloud/usr/share/owncloud/inc/Mail.php #unused
-	##rm -r debian/owncloud/usr/share/owncloud/inc/MDB2/; rm debian/owncloud/usr/share/owncloud/inc/MDB2.php #in php-mdb2 but that does not work so use this copy
+	#rm -r debian/owncloud/usr/share/owncloud/inc/MDB2/; rm debian/owncloud/usr/share/owncloud/inc/MDB2.php #in php-mdb2 but that does not work so use this copy
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Net/ #in php-pear
 	#rm -r debian/owncloud/usr/share/owncloud/inc/packages/ #unnecessary
 	#rm -r debian/owncloud/usr/share/owncloud/inc/PEAR/; rm debian/owncloud/usr/share/owncloud/inc/PEAR.php; rm debian/owncloud/usr/share/owncloud/inc/pearcmd.php #in php-pear

## owncloud 4.0.7debian

=== debian/changelog ===
owncloud (4.0.7debian-1ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining change:
   - recommend rather than suggest mysql

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Sep 2012 11:57:08 +0100

owncloud (4.0.7debian-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/patches:
    - Removed patch fix_writing_to_shared_readonly.diff
  * debian/repack.sh:
    - Remove experimental feature 'files_external'

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Wed, 15 Aug 2012 13:33:19 +0200

owncloud (4.0.5debian2-2) unstable; urgency=high

  * debian/patches:
    - Added fix_writing_to_shared_readonly.diff to fix WebDAV write access to 
      shared files (Closes: #684426)
  * debian/rules:
    - Remove experimental feature 'files_external'

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 09 Aug 2012 23:29:25 +0200

owncloud (4.0.6debian-0ubuntu1) quantal; urgency=low

  * Merge with Debian
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Aug 2012 14:42:55 +0100

owncloud (4.0.5debian2-1) unstable; urgency=low

  * debian/repack.sh:
    - Removed sourceless minified JavaScript files core/js/jquery-1.7.2.min.js
      and core/js/jquery-ui-1.8.16.custom.min.js (closes: #683395)
    - Removed 3rdparty/Console/Getopt.php and 3rdparty/Crypt_Blowfish
      (closes: #683397)
  * debian/copyright: 
    - Inserted full text of CC-BY-3.0 (closes: #683396)
    - Removed PHP-3 license (closes: #683397)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 31 Jul 2012 23:42:23 +0200

owncloud (4.0.5debian-1) unstable; urgency=low

  * New upstream bugfix release (closes: #681138, #681169)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 19 Jul 2012 13:04:28 +0200

owncloud (4.0.5debian-0ubuntu1) quantal; urgency=low

  * New upstream release
  * In owncloud-mysql recommend rather than suggest mysql-server

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 14:54:09 +0100

owncloud (4.0.4debian-1) unstable; urgency=medium

  * New upstream bugfix release; solve major issues with caching
    (closes: #678956).
  * By own admission, upstream does not believe the PostgreSQL-support
    to be stable/solid; dropping owncloud-pgsql for Wheezy.  (See also:
    http://mail.kde.org/pipermail/owncloud/2012-June/004118.html).

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 29 Jun 2012 22:14:50 +0200

owncloud (4.0.3debian-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/config/lighttpd, debian/owncloud.examples:  add and install
    lighttpd example config file.
  * debian/patches:
    - Updated 05_no_app_store.diff for new upstream and also to also take
      the new "writable_appsdir" option into account.

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 23 Jun 2012 09:27:50 +0200

owncloud (4.0.2debian-1) unstable; urgency=high

  * New upstream bugfix release.
  * debian/postinst:
    - Check whether a2enmod and apache2ctl are available (as apache2 need
      not be installed) (closes: #676319).
    - Ensure that the ownership of permissions of /etc/owncloud/config.php
      and /etc/owncloud/htaccess are correct.
  * debian/patches:
    - Added fix_tar_require.diff to make the require path
      not point to 3rdparty/ so that Archive/Tar.php from php-pear is used
      (closes: #677159).
    - Added fix_sabre_requires.diff to fix the require path for Sabre as well.
    - Added fix_config.php_mode.diff to ensure that the generated configuration
      is not world-readable (closes: #676131)
    - Updated 01_fix_data_path.diff for the new, real location of the
      config (/etc/owncloud).
    - Updated 05_no_app_store.diff to set the "appstoreenabled" default in
      the source (and configuration example) universally to "false".
  * debian/rules, debian/owncloud.install, debian/owncloud.links,
    debian/owncloud.README.Debian, debian/config/:
    Install stuff to /usr/share/owncloud and link data, backup, themes and
    configuration dirs instead of the other way around (closes: #676600).
  * debian/watch: updated to use the new releases page.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 17 Jun 2012 14:03:35 +0200

owncloud (4.0.1debian-2) unstable; urgency=low

  * Upload to fix PostgreSQL-related install issues.
  * debian/control:
    - Removed the postgresql-client-8.1 install alternative, just depend on
      postgresql-client.
    - Changed the postgresql-client suggest into postgresql (i.e. the server).

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 05 Jun 2012 21:33:20 +0200

owncloud (4.0.1debian-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control: replaced suggest on postgresql-server by
    postgresql-client for the owncloud-pgsql package.
  * debian/owncloud-pgsql.README.Debian: updated to not mention admin
    credentials, users won't get them during the postgres install process.
  * debian/patches: 
    - Dropped 04_fix_odfviewer.diff and
      06_add_head_support_for_download.diff; applied by upstream.
    - Updated 05_no_app_store.diff to only check whether the /apps dir is
      writable when the appstore is enabled.
  * debian/rules:
    - Don't install l10n/init.sh.
    - Make sure that /etc/owncloud/htaccess is owned by www-data, as
      ownCloud may update it (for now).

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 05 Jun 2012 00:44:46 +0200

owncloud (4.0.0debian-3) unstable; urgency=low

  * Upload to unstable.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 03 Jun 2012 17:38:46 +0200

owncloud (4.0.0debian-2) experimental; urgency=low

  [ Paul van Tilburg ]
  * debian/control:
    - Set the team as maintainer.
    - Added a depend on php5-curl; this is needed by the bookmarks app,
      which is an internal app.
  * debian/owncloud.links: added some missing links to vital application
    data from /var/lib/owncloud.

  [ Thomas Mueller ]
  * debian/patches:
    - 06_add_head_support_for_download.diff added to fix the ODF viewer.



## owncloud 4.0.8debian

=== debian/changelog ===
owncloud (4.0.8debian-1.1ubuntu0.1) quantal-security; urgency=low

  * SECURITY UPDATE: Merge with Debian for new upstream release and security
    fixes. Remaining change:
    - Recommends rather than Suggests mysql-server
    - LP: #1084109

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 30 Nov 2012 07:39:09 -0600

owncloud (4.0.8debian-1.1) unstable; urgency=high

  * Non-maintainer upload, fixes several security issues (Closes: #693990).
  * debian/patches/06_oc-sa-2012-001.patch: Fix multiple XSS vulnerabilities.
  * debian/patches/07_oc-sa-2012-002.patch: Fix timing attack.
  * debian/patches/08_oc-sa-2012-004.patch: Fix code execution in migrate.php.
  * debian/patches/09_oc-sa-2012-005.patch: Fix code execution in
    filesystem.php.

 -- Michael Banck <mbanck@debian.org>  Sun, 25 Nov 2012 12:26:01 +0100

owncloud (4.0.8debian-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/patches:
    - Adjust 05_no_app_store.diff

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 11 Oct 2012 14:44:57 +0200

=== debian/control ===
Source: owncloud
Section: web
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>, Paul van Tilburg <paulvt@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), yui-compressor
Standards-Version: 3.9.3
Homepage: http://owncloud.org
Vcs-Git: git://git.debian.org/pkg-owncloud/owncloud.git
Vcs-Browser: http://git.debian.org/?p=pkg-owncloud/owncloud.git;a=summary

Package: owncloud
Architecture: all
Depends: ${misc:Depends},
 apache2 | httpd,
 php5, php5-gd, php-pear, php-xml-parser, php-crypt-blowfish, php-sabredav,
 php-mdb2, php-mdb2-schema, libphp-phpmailer, php-getid3 (>= 1.9.3-1),
 php5-curl,
 owncloud-mysql (= ${source:Version}) | owncloud-sqlite (= ${source:Version}),
 libjs-jquery (>= 1.7.2-1), libjs-jquery-ui, libjs-jquery-jplayer
Recommends: exim4 | mail-transport-agent
Description: cloud storage for files, music, contacts, calendars and many more
 ownCloud gives you universal access to your files through a web interface
 or WebDAV.  It also provides a platform to easily view & sync your
 contacts, calendars and bookmarks across all your devices and enables
 basic editing right on the web.

Package: owncloud-mysql
Architecture: all
Depends: php-mdb2-driver-mysql,
 mysql-client | virtual-mysql-client, ${misc:Depends}
Recommends: mysql-server
Description: meta-package providing MySQL dependencies for ownCloud
 This package provides MySQL dependencies for ownCloud, a cloud storage
 application for files, music, contacts, calendars and many more.
 .
 Install this package if you wan to use a MySQL database with ownCloud.

Package: owncloud-sqlite
Architecture: all
Depends: php-mdb2, php-pear, php5-sqlite, ${misc:Depends}
Description: meta-package providing SQLite dependencies for ownCloud
 This package provides SQLite dependencies for ownCloud, a cloud storage
 application for files, music, contacts, calendars and many more.
 .
 Install this package if you wan to use a SQLite database with ownCloud.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install

	# Remove redundant license files as it is already captured in debian/copyright.
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/LICENSE.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/COPYING
	rm debian/owncloud/usr/share/owncloud/3rdparty/timepicker/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/when/MIT-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/apps/calendar/img/Icon\ License
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/LICENSE.jquery.inview
	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/js/pdfjs/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/LICENSE
	rm debian/owncloud/usr/share/owncloud/settings/img/log\ Icon\ License

	# Remove other stuff
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/README.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/VERSION
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/AUTHORS
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/Changelog
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/README
	rm debian/owncloud/usr/share/owncloud/3rdparty/timepicker/releases.txt
	rm debian/owncloud/usr/share/owncloud/core/img/filetypes/readme*.txt
	rm debian/owncloud/usr/share/owncloud/core/js/oc-vcategories.txt
	rm -r debian/owncloud/usr/share/owncloud/apps/files_archive/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/user_ldap/tests
	rm -r debian/owncloud/usr/share/owncloud/l10n/templates # translation templates are not needed to run the app
	
	# Remove an unused scripts, source and minified JavaScript files.
	rm -r debian/owncloud/usr/share/owncloud/3rdparty/phpass/c
	rm debian/owncloud/usr/share/owncloud/3rdparty/phpass/test.php
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.inview.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/js/pdfjs/update.sh
	rm -r debian/owncloud/usr/share/owncloud/apps/files_odfviewer/src
	rm debian/owncloud/usr/share/owncloud/l10n/l10n.pl
	rm debian/owncloud/usr/share/owncloud/l10n/init.sh

	# Minify JavaScript files and remove the source.
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.min.js
	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/js/fullcalendar.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.Jcrop.min.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.min.js

	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js -o debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.min.js
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.js -o debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.js -o debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js -o debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js -o debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.min.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js

	# Move the MDB2 Sqlite driver to owncloud-sqlite.
	mv debian/owncloud/usr/share/owncloud/lib/MDB2 debian/owncloud-sqlite/usr/share/php # php-mdb2-driver-sqlite (not yet)

	# Minify ace in app_texteditor
	find debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor -type f | grep -v 'ace-uncompressed' | xargs -exec rm
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js -o debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace.js
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js

	# Clean up the media app so that jquery-jplayer can be linked.
	rm -rf debian/owncloud/usr/share/owncloud/apps/media/js/jQuery.jPlayer.2.1.0.source
	rm debian/owncloud/usr/share/owncloud/apps/media/js/Jplayer.swf
	rm debian/owncloud/usr/share/owncloud/apps/media/js/jquery.jplayer.min.js

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud
	chown www-data:www-data debian/owncloud/etc/owncloud/
	chown www-data:www-data debian/owncloud/var/lib/owncloud/data/
	chmod 2770 debian/owncloud/var/lib/owncloud/data/
	chown www-data:www-data debian/owncloud/var/lib/owncloud/backup/
	chmod 2770 debian/owncloud/var/lib/owncloud/backup/
	chmod 0644 debian/owncloud/var/lib/owncloud/themes/README

=== debian/watch ===
version=3
options="dversionmangle=s/debian[0-9]*//" \
  http://owncloud.org/releases/ owncloud-(.*)\.tar\.bz2 \
  debian sh debian/repack.sh

## owncloud 4.0.9debian

=== debian/changelog ===
owncloud (4.0.9debian-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Nov 2012 13:37:13 +0000

owncloud (4.0.8debian-1ubuntu1) raring; urgency=low

  * Merge with Debian, remaining change:
   - recommend rather than suggest mysql

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2012 16:44:32 +0000

## owncloud 5.0.4debian

=== debian/changelog ===
owncloud (5.0.4debian-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Apr 2013 13:24:23 +0100

owncloud (5.0.0~rc2debian-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Mar 2013 13:46:29 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: owncloud
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
  apache2 | httpd,
  php5, php5-gd, php-pear, php-xml-parser, php-crypt-blowfish, php-sabredav,
  php-mdb2, php-mdb2-schema, libphp-phpmailer, php-getid3 (>= 1.9.3-1),

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,20 @@
 	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/*-LICENSE.txt
 	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/COPYING
 	rm debian/owncloud/usr/share/owncloud/3rdparty/timepicker/*-LICENSE.txt
-	rm debian/owncloud/usr/share/owncloud/3rdparty/when/MIT-LICENSE.txt
-	rm debian/owncloud/usr/share/owncloud/apps/calendar/img/Icon\ License
-	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/LICENSE.jquery.inview
-	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/js/pdfjs/LICENSE
 	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/LICENSE
 	rm debian/owncloud/usr/share/owncloud/settings/img/log\ Icon\ License
+	rm debian/owncloud/usr/share/owncloud/core/js/LICENSE.jquery.inview
+	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/LICENSE
+	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/Google*txt
+	rm debian/owncloud/usr/share/owncloud/3rdparty/symfony/routing/Symfony/Component/Routing/LICENSE
+	rm debian/owncloud/usr/share/owncloud/3rdparty/Dropbox/LICENSE.txt
+	rm debian/owncloud/usr/share/owncloud/3rdparty/Google/LICENSE.txt
+	rm debian/owncloud/usr/share/owncloud/3rdparty/aws-sdk/_docs/LICENSE.md
+	rm debian/owncloud/usr/share/owncloud/3rdparty/aws-sdk/lib/cachecore/LICENSE
+	rm debian/owncloud/usr/share/owncloud/3rdparty/aws-sdk/lib/requestcore/LICENSE
+	rm debian/owncloud/usr/share/owncloud/3rdparty/aws-sdk/lib/yaml/LICENSE
+	rm debian/owncloud/usr/share/owncloud/3rdparty/miniColors/GPL-LICENSE.txt
+	rm debian/owncloud/usr/share/owncloud/3rdparty/miniColors/MIT-LICENSE.txt
 
 	# Remove other stuff
 	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/README.md
@@ -31,16 +39,13 @@
 	rm debian/owncloud/usr/share/owncloud/3rdparty/timepicker/releases.txt
 	rm debian/owncloud/usr/share/owncloud/core/img/filetypes/readme*.txt
 	rm debian/owncloud/usr/share/owncloud/core/js/oc-vcategories.txt
-	rm -r debian/owncloud/usr/share/owncloud/apps/files_archive/tests
-	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
 	rm -r debian/owncloud/usr/share/owncloud/apps/user_ldap/tests
 	rm -r debian/owncloud/usr/share/owncloud/l10n/templates # translation templates are not needed to run the app
-	
+	rm -r debian/owncloud/usr/share/owncloud/apps/files_videoviewer/mediaelement/src
+
 	# Remove an unused scripts, source and minified JavaScript files.
 	rm -r debian/owncloud/usr/share/owncloud/3rdparty/phpass/c
 	rm debian/owncloud/usr/share/owncloud/3rdparty/phpass/test.php
-	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.inview.txt
-	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/js/pdfjs/update.sh
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_odfviewer/src
 	rm debian/owncloud/usr/share/owncloud/l10n/l10n.pl
 	rm debian/owncloud/usr/share/owncloud/l10n/init.sh
@@ -52,7 +57,11 @@
 	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.pack.js
 	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.pack.js
 	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
-	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.min.js
+	rm debian/owncloud/usr/share/owncloud/3rdparty/fontawesome/docs/assets/js/underscore.min.js
+	rm debian/owncloud/usr/share/owncloud/core/doc/admin/_static/jquery.js
+	rm debian/owncloud/usr/share/owncloud/core/doc/user/_static/jquery.js
+	rm debian/owncloud/usr/share/owncloud/core/doc/admin/_static/underscore.js
+	rm debian/owncloud/usr/share/owncloud/core/doc/user/_static/underscore.js
 
 	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js -o debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.min.js
 	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js
@@ -63,15 +72,15 @@
 	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js -o debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
 	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js
 	yui-compressor --type js debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js -o debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.min.js
-	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js
+#	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js  [this one is needed - jriddell]
 
 	# Move the MDB2 Sqlite driver to owncloud-sqlite.
 	mv debian/owncloud/usr/share/owncloud/lib/MDB2 debian/owncloud-sqlite/usr/share/php # php-mdb2-driver-sqlite (not yet)
 
 	# Minify ace in app_texteditor
-	find debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor -type f | grep -v 'ace-uncompressed' | xargs -exec rm
-	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js -o debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace.js
-	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js
+	#find debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor -type f | grep -v 'ace-uncompressed' | xargs -exec rm
+	#yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js -o debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace.js
+	#rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js
 
 	# Clean up the media app so that jquery-jplayer can be linked.
 	rm -rf debian/owncloud/usr/share/owncloud/apps/media/js/jQuery.jPlayer.2.1.0.source
